System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.IHttpHandler

The class, via its method, processes an HTTP request for a discovery document. A discovery document is represented by the class and is usually serialized as a file using a .disco extension. Web services discovery provides a mechanism for determining the Web services that are available at a given location.

The class normally does not need to be used directly by a developer.

An ASP.NET HTTP handler that processes a request for a Web services discovery document.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value of true, indicates whether the instance of (or a derived class) is reusable.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The method searches for applicable files within the file system path corresponding to the HTTP request's Uniform Resource Locator (URL). The search may extend to subdirectories and switch target file extensions depending on what it finds in the root search directory.

  The search process populates the object's property with files that are found.

  Handles an HTTP request for a discovery document, which is serialized to the HTTP response.

  The and properties of the class are used for input and output, respectively. 1.0.5000.0 2.0.0.0